#version 430 core
in vec3 vTexPos;
in vec3 vPos;
layout (location=0) out vec4 fCol;
layout (location=1) out vec4 fPos;
uniform sampler2DArray tilesetSampler;
void main()
{
    fCol = texture(tilesetSampler, vTexPos);
    fPos = vec4(vPos,1);
}
